#include "unif01.h"
#include "ulcg.h"
#include "bbattery.h"
#include <stddef.h>

int main (void)
{
   unif01_Gen *gen1, *gen2, *gen3;
   gen1 = ulcg_CreateLCG (2147483543, 10064, 0, 12345);
   gen2 = ulcg_CreateLCG (2147483563, 16493, 0, 12345);
   gen3 = unif01_CreateCombAdd2 (gen1, gen2,"My Combination of LCGs");
   bbattery_SmallCrush (gen3);
   unif01_DeleteCombGen (gen3);
   ulcg_DeleteGen (gen1);
   ulcg_DeleteGen (gen2);
   return 0;
}
